/*
 * Copyright (C) 2014-2015 Darron Broad
 * All rights reserved.
 *
 * This file is part of Mork Microchip PIC ICSP.
 *
 * Mork Microchip PIC ICSP is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation.
 *
 * Mork Microchip PIC ICSP is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Mork Microchip PIC ICSP. If not, see http://www.gnu.org/licenses/
 */

#ifndef _IO_H
#define _IO_H

/* prototypes */
void io_error(void);
void io_open(void);
void io_close(void);
void io_set_vpp(uint8_t);
void io_set_pgc(uint8_t);
void io_set_pgd(uint8_t);
uint8_t io_get_pgd(void);
void io_clock_out_bits(uint32_t, uint8_t);
uint8_t io_clock_bit_4phase(uint8_t, uint8_t);
uint32_t io_clock_bits_4phase(uint8_t, uint32_t, uint32_t);

#endif /* !_IO_H */
