/*
 * Copyright (C) 2014-2015 Darron Broad
 * All rights reserved.
 *
 * This file is part of Mork Microchip PIC ICSP.
 *
 * Mork Microchip PIC ICSP is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation.
 *
 * Mork Microchip PIC ICSP is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Mork Microchip PIC ICSP. If not, see http://www.gnu.org/licenses/
 */

#ifndef _MORK_H
#define _MORK_H

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#include <libopencm3/stm32/rcc.h>
#include <libopencm3/stm32/gpio.h>
#include <libopencm3/usb/usbd.h>
#include <libopencm3/usb/cdc.h>
#include <libopencm3/cm3/nvic.h>
#include <libopencm3/cm3/systick.h>
#include <libopencm3/cm3/scb.h>

#define LOW  (0)
#define HIGH (1)

#if defined(MORK_MAPLEMINI)
 #include "maple_mini.h"
#endif

#if defined(MORK_STM32F4D)
 #include "stm32f4-d.h"
#endif

#if defined(MORK_VCCGND)
 #include "vcc-gnd.h"
#endif

#include "delay.h"
#include "cdcacm.h"
#include "pic.h"
#include "io.h"
#include "pic32.h"
#include "uart.h"
#include "stk500v2.h"

#endif /* !_MORK_H */
