/*
 * Copyright (C) 2014-2015 Darron Broad
 * All rights reserved.
 *
 * This file is part of Mork Microchip PIC ICSP.
 *
 * Mork Microchip PIC ICSP is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation.
 *
 * Mork Microchip PIC ICSP is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Mork Microchip PIC ICSP. If not, see http://www.gnu.org/licenses/
 */

#ifndef _PIC_H
#define _PIC_H

/* ICSP DATA */
#define PIC_BYTLEN (256)
typedef struct {
        uint32_t address; /* Address of data */
        uint16_t nbytes; /* Number of bytes */
        uint8_t *bytes;	/* Data bytes */
} pic_data;

/*
 * 32-bit keys
 */

/* PIC18/dsPIC33/PIC24 EXECUTIVE = MCHP (0x4D434850) REVERSED */
#define PHCMKEY (0x0A12C2B2UL)

#define PIC_VOID (0xFFFF)

/* MEMORY REGIONS */
#define PIC_REGIONNOTSUP (0)    /* NOT BELOW      */
#define PIC_REGIONCODE   (1)    /* PROGRAM CODE   */
#define PIC_REGIONBOOT   (6)    /* BOOT SECTOR    */

/* PANEL WRITING */
#define PIC_PANEL_BEGIN  (1)
#define PIC_PANEL_UPDATE (2)
#define PIC_PANEL_END    (3)
int16_t pic_write_panel(uint8_t, uint32_t, uint32_t);

#endif /* !_PIC_H */
